Module tdlight.api
Package it.tdlight.jni

# Class TdApi.CanTransferOwnershipResult

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.CanTransferOwnershipResult

Direct Known Subclasses:
  `TdApi.CanTransferOwnershipResultOk`, `TdApi.CanTransferOwnershipResultPasswordNeeded`, `TdApi.CanTransferOwnershipResultPasswordTooFresh`, `TdApi.CanTransferOwnershipResultSessionTooFresh`

Enclosing class:
  TdApi

public abstract static sealed class TdApi.CanTransferOwnershipResult extends TdApi.Object permits TdApi.CanTransferOwnershipResultOk, TdApi.CanTransferOwnershipResultPasswordNeeded, TdApi.CanTransferOwnershipResultPasswordTooFresh, TdApi.CanTransferOwnershipResultSessionTooFresh
This class is an abstract base class. Represents result of checking whether the current session can be used to transfer a chat ownership to another user.

## Constructor Summary

Constructors
Constructor
Description
`CanTransferOwnershipResult()`
Default class constructor.

## Method Summary

### Methods inherited from class it.tdlight.jni.TdApi.Object

`getConstructor, serialize, serialize, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### CanTransferOwnershipResult

public CanTransferOwnershipResult()
Default class constructor.